%define pkgname   dirsrv

Summary:          389 Directory Server Gateway (dsgw)
Name:             389-dsgw
Version:          1.1.7
Release:          2%{?dist}
License:          GPLv2
URL:              http://port389.org/
Group:            System Environment/Daemons
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    nspr-devel
BuildRequires:    nss-devel
BuildRequires:    svrcore-devel
BuildRequires:    openldap-devel
BuildRequires:    cyrus-sasl-devel
BuildRequires:    icu
BuildRequires:    libicu-devel
BuildRequires:    389-adminutil-devel

Requires:         /etc/dirsrv/admin-serv/httpd.conf
# orgchart uses perldap
Requires:         perl-Mozilla-LDAP

Source0:          http://port389.org/sources/%{name}-%{version}.tar.bz2

%description
389 Directory Server Gateway is a collection of 3 web applications
that run on top of the Administration Server used by the Directory
Server.  These 3 applications are:
* phonebook - a simple phonebook application geared towards end users,
with simple search screens and simple self-service management
* orgchart - an organization chart viewer
* gateway - a more advanced search interface that allows admins to
create and edit user entries, and allows creation of templates for
different types of user and group entries

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-rpath --with-openldap

# Generate symbolic info for debuggers
export XCFLAGS=$RPM_OPT_FLAGS

%ifarch x86_64 ppc64 ia64 s390x sparc64
export USE_64=1
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT 

make DESTDIR="$RPM_BUILD_ROOT" install

# make cookie db directory
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{pkgname}/dsgw/cookies

%clean
rm -rf $RPM_BUILD_ROOT

%post
# this has been problematic - if this directory
# does not exist, the server will silently fail to
# start - however, if the user has already created
# it, we don't want to overwrite the permissions
# on it - so we can't list it explicitly in the
# files section
if [ ! -d %{_localstatedir}/run/%{pkgname}/dsgw/cookies ] ; then
    mkdir -p %{_localstatedir}/run/%{pkgname}/dsgw/cookies
fi

%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_sysconfdir}/%{pkgname}/dsgw
%config(noreplace)%{_sysconfdir}/%{pkgname}/dsgw/*.conf
%{_datadir}/%{pkgname}/dsgw
%{_datadir}/%{pkgname}/manual/*/dsgw
%{_datadir}/%{pkgname}/properties/dsgw
%{_sbindir}/*
%{_libdir}/%{pkgname}/dsgw-cgi-bin

%changelog
* Wed Sep 14 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.7-2
- rebuild with new 389-adminutil in stable

* Tue Jun 28 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.7-1
- look for separate openldap ldif library
- remove old fedora-ds cruft

* Mon Mar 07 2011 Caolán McNamara <caolanm@redhat.com> - 1.1.6-3
- rebuild for icu 4.6

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct  8 2010 Rich Megginson <rmeggins@redhat.com> - 1.1.6-1
- bump version to 1.1.6
- support for openldap

* Fri Apr 02 2010 Caolán McNamara <caolanm@redhat.com> - 1.1.5-2
- rebuild for icu 4.4

* Thu Jan 14 2010 Rich Megginson <rmeggins@redhat.com> - 1.1.5-1
- bump version to 1.1.5
- make sure we can find ICU genrb correctly on all platforms

* Wed Aug 12 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.4-1
- bump version to 1.1.4
- fix remaining licensing problems
- fix adminutil.m4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.3-2
- use 389-adminutil instead of adminutil

* Wed Jun  3 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.3-1
- bump version to 1.1.3 for fedora package review

* Fri May 15 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.2-3
- rename to 389

* Tue Apr 21 2009 Orion Poplawski <orion@cora.nwra.com> - 1.1.2-2
- Make adminutil-devel BR >= 1.1.8

* Tue Mar 31 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.2-1
- this is the 1.1.2 release

* Thu Sep  4 2008 Rich Megginson <rmeggins@redhat.com> - 1.1.1-1
- this is the 1.1.1 release

* Mon Mar  3 2008 Rich Megginson <rmeggins@redhat.com> - 1.1.0-1
- Initial version based on fedora-ds-admin.spec
